Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000068Documentation, Examples, and Web SiteWriting with Informpublic2010-06-18 15:332010-07-02 02:11
Reporterjmcgrew 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityN/A
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000068: Syntax boxes for functional phrases (with "->") are formatted incorrectly
DescriptionSection 21.3 includes these lines:

(phrase (value, value) -> value) applied to (value) and (value) ... value
(phrase (value, value, value) -> value) applied to (value) and (value) and (value) ... value
apply (phrase (value, value) -> nothing) to (value) and (value)
apply (phrase (value, value, value) -> nothing) to (value) and (value) and (value)

I believe only the words "applied to", "apply", "to", and "and" are meant to be bold, but "value", "nothing", and punctuation marks are also bold in some cases.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000051)
EmacsUser (manager)
2010-06-18 17:41
edited on: 2010-06-18 17:47

Confirmed. The HTML in question appears below.

(phrase (value, value) -> value) applied to (value) and (value) ... value

Mantis is giving me trouble showing it in source form (even double escaped), so here it is with [ and ] representing angle brackets:

[b][/b](phrase (value, value)[b] -> value) applied to [/b](value)[b] and [/b](value)[b][/b] ... [i]value[/i]

(0000080)
graham (administrator)
2010-06-20 08:52

Fixed. A bug in indoc; notoriously, one cannot match balanced parentheses with a regular expression, but I was trying to anyway.

- Issue History
Date Modified Username Field Change
2010-06-18 15:33 jmcgrew New Issue
2010-06-18 15:33 jmcgrew Status new => acknowledged
2010-06-18 17:41 EmacsUser Note Added: 0000051
2010-06-18 17:41 EmacsUser Status acknowledged => confirmed
2010-06-18 17:42 EmacsUser Note Edited: 0000051 View Revisions
2010-06-18 17:43 EmacsUser Note Edited: 0000051 View Revisions
2010-06-18 17:47 EmacsUser Note Edited: 0000051 View Revisions
2010-06-20 08:52 graham Note Added: 0000080
2010-06-20 08:52 graham Status confirmed => resolved
2010-06-20 08:52 graham Resolution open => fixed
2010-06-20 08:52 graham Assigned To => graham
2010-07-02 02:09 jmcgrew Fixed in Version => 6E72
2010-07-02 02:09 jmcgrew Product Version => 6E59
2010-07-02 02:11 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker